<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.naming.binding">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="binding-type,cache,class,environment,lookup,module,type,value"/>
        <elem name="addr-params" value="profile,subsystem,binding"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.naming"/>
    </annotation>
    <refs>
        <ref feature="subsystem.naming"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="lookup" nillable="true"/>
        <param name="cache" nillable="true"/>
        <param name="environment" nillable="true"/>
        <param name="binding-type"/>
        <param name="module" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="naming"/>
        <param name="binding" feature-id="true"/>
        <param name="type" nillable="true"/>
        <param name="class" nillable="true"/>
        <param name="value" nillable="true"/>
    </params>
</feature-spec>